Bug 97374 - JJ: KGet: update menu reference, doc configuration dialog
Summary: JJ: KGet: update menu reference, doc configuration dialog
Status: RESOLVED FIXED
Alias: None
Product: docs
Classification: Unclassified
Component: Corrections (show other bugs)
Version: 3.3.1
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Documentation Editorial Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-18 19:16 UTC by Virgil Nisly
Modified: 2007-03-19 13:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to fix documentation (4.58 KB, patch)
2007-03-17 18:22 UTC, Rohan Dhruva
Details
Fixes kget1.png in trunk (36.23 KB, image/png)
2007-03-17 18:55 UTC, Rohan Dhruva
Details
Fixes kget2.png in trunk (36.38 KB, image/png)
2007-03-17 18:55 UTC, Rohan Dhruva
Details
Fixes kget3.png in trunk (29.92 KB, image/png)
2007-03-17 18:56 UTC, Rohan Dhruva
Details
Fixes kget4.png in trunk (35.64 KB, image/png)
2007-03-17 18:57 UTC, Rohan Dhruva
Details
Fixes kget5.png in trunk (32.25 KB, image/png)
2007-03-17 18:58 UTC, Rohan Dhruva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Virgil Nisly 2005-01-18 19:16:10 UTC
file: /kdenetwork/doc/kget/index.docbook     
     
Menu reference: +Options->Use animation, +Options->Use sound, +Options->auto  
paste mode, +Options->drop target. Needs entire settings menu.  
Needs configuration dialog help. Screenshots don't comply with kermik window  
decor... and use kermik for widget style-otherwise they're great.
Comment 1 Lauri Watts 2005-05-19 00:24:30 UTC
SVN commit 415575 by lauri:

Fix most of the glaring errors
Clean up the icons

Still needs a proper guide to the config options, so leaving the bug
open for now

CCBUG:97374


 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_delay.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_delete.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_disconnect.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_drop_target.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_expert.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_logwindow.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_offline_mode_off.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_offline_mode_on.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_paste.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_pause.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_queue.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_restart.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_resume.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_shutdown.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_timer.png  
 D             trunk/KDE/kdenetwork/doc/kget/cr22-action-tool_uselastdir.png  
 M  +141 -145  trunk/KDE/kdenetwork/doc/kget/index.docbook  
Comment 2 Rohan Dhruva 2007-03-17 18:18:41 UTC
Attaching a patch to index.docbook . I have changed the language a bit, to make it more suited to documentation. All the menu entries were already added, and I will be updating the screenshots too, as soon as possible. I guess this fixes the bug ?
Comment 3 Rohan Dhruva 2007-03-17 18:22:38 UTC
Created attachment 20014 [details]
Patch to fix documentation

This should fix all the pending issues, except screenshots.
Comment 4 Rohan Dhruva 2007-03-17 18:55:05 UTC
Created attachment 20015 [details]
Fixes kget1.png in trunk

Drop in replacement for kget1.png in trunk/KDE/kdenetwork/doc/kget/
Comment 5 Rohan Dhruva 2007-03-17 18:55:51 UTC
Created attachment 20016 [details]
Fixes kget2.png in trunk

Drop in replacement for kget2.png in trunk/KDE/kdenetwork/doc/kget/
Comment 6 Rohan Dhruva 2007-03-17 18:56:46 UTC
Created attachment 20017 [details]
Fixes kget3.png in trunk

Drop in replacement for kget3.png in trunk/KDE/kdenetwork/doc/kget/
Comment 7 Rohan Dhruva 2007-03-17 18:57:20 UTC
Created attachment 20018 [details]
Fixes kget4.png in trunk

Drop in replacement for kget4.png in trunk/KDE/kdenetwork/doc/kget/
Comment 8 Rohan Dhruva 2007-03-17 18:58:04 UTC
Created attachment 20019 [details]
Fixes kget5.png in trunk

Drop in replacement for kget5.png in trunk/KDE/kdenetwork/doc/kget/
Comment 9 Rohan Dhruva 2007-03-17 18:58:49 UTC
Now that the docs are updated, and screenshots too, can someone please check whether it is all to satisfaction, or needs further work ? Thanks !
Comment 10 Philip Rodrigues 2007-03-18 14:00:35 UTC
SVN commit 643794 by philrod:

Updated documentation and screenshots from Rohan Dhruva. Thanks!

BUG:97374



 M  +31 -22    index.docbook  
 M             kget1.png  
 M             kget2.png  
 M             kget3.png  
 M             kget4.png  
 M             kget5.png  


--- trunk/KDE/kdenetwork/doc/kget/index.docbook #643793:643794
@@ -41,8 +41,7 @@
 
 <abstract>
 <para>
-&kget; allows you to group downloads. In some cases, &kget; can resume these
-downloads even if you shutdown your computer before the downloads have completed.
+&kget; is &kde;'s download manager, designed to be user friendly and versatile.
 </para>
 </abstract>
 
@@ -56,24 +55,27 @@
 
 </bookinfo>
 
-<chapter id="introduction">
-<title>Introduction</title>
-
+<chapter id="quickstart">
+<title>Quick-start Guide</title>
 <para>
-To download a document or package, drag and drop the &URL; on to &kget;.
-
+  <orderedlist>
+    <listitem><para>Start &kget;.</para></listitem>
+    <listitem><para>Drag and drop the required &URL; in the &kget; window.</para></listitem>
+  </orderedlist>
 </para>
 </chapter>
 
+
 <chapter id="using-kget">
 <title>Using &kget;</title>
 
 <sect1 id="kget-features">
 <title>&kget; Tutorial</title>
 
-<para>Here is a brief tutorial that uses some of the features of &kget;. Below
-are three software packages that are to be downloaded. Suppose you want to 
-download the middle one first and then the top and bottom ones second. 
+<para>Here is a brief tutorial that demonstrates some of the features of
+  &kget;. The screenshot shows three software packages that are to be
+  downloaded. This tutorial lists the procedure to download the middle
+  one first, and then the other two.
 </para>
 
 
@@ -88,8 +90,8 @@
 
 <listitem>
 <para>
-Click on the top entry with the &LMB;. Hold down the &Ctrl; key and click on
-the bottom entry. &kget; should look similar to this:
+Click on the first file with the &LMB;. Hold down the &Ctrl; key and click on
+the bottom most file. The &kget; window should look similar to this:
 
 <screenshot>
 <screeninfo>Screenshot of Kget</screeninfo>
@@ -108,7 +110,7 @@
 </listitem>
 
 <listitem><para>
-Click on the delay button to prevent these items from being
+Click on the <guibutton>Delay</guibutton> button to prevent these items from being
 downloaded.
 </para></listitem>
 
@@ -129,13 +131,13 @@
 </para></listitem>
 
 <listitem><para>
-Put &kget; back online by unchecking
+Put &kget; back into the online mode by unchecking
 <menuchoice><guimenu>Options</guimenu><guimenuitem>Offline
-Mode</guimenuitem></menuchoice> and &kget; will download the middle item.
+Mode</guimenuitem></menuchoice> and &kget; will download the middle file.
 </para></listitem>
 
 <listitem><para>
-Click on the top item, hold down the &Shift; key and click on the bottom item. &kget;
+Click on the top item, hold down the &Shift; key and click on the bottom item. The &kget; window
 should look like this:
 <screenshot>
 <screeninfo>Screenshot of Kget</screeninfo>
@@ -201,6 +203,10 @@
 <userinput><command>/usr/sbin/usernetctl 
 <parameter>ppp0</parameter> <option>down</option></command></userinput></para>
 </listitem>
+
+<listitem><para>
+Users of other distributions, please check the documentation included with your distribution for the appropriate command.
+</para></listitem>
 </itemizedlist>
 
 </sect1>
@@ -523,7 +529,7 @@
 </sect2>
 
 <sect2>
-<title>The Options Menu</title>
+  <title>The <guimenu>Options</guimenu> Menu</title>
 
 <variablelist>
 
@@ -630,8 +636,8 @@
 <guimenuitem>Drop Target</guimenuitem>
 </menuchoice></term>
 <listitem><para>The drop target is a desktop icon that allows for
-hiding and restoring of &kget;. This is used on a cluttered desktop when you
-want to periodically check the status of a download.</para></listitem>
+hiding and restoring of &kget;. Also, download links can be dragged-and-dropped
+onto this drop target, to add it to the download queue.</para></listitem>
 </varlistentry>
 
 <varlistentry>
@@ -640,7 +646,7 @@
 <guimenuitem>Configure Shortcuts...</guimenuitem>
 </menuchoice></term>
 <listitem>
-<para>Display the the familiar &kde; Keyboard Shortcut Configuration
+<para>Display the the &kde; Keyboard Shortcut Configuration
 Dialog.</para>
 </listitem>
 </varlistentry>
@@ -652,7 +658,7 @@
 </menuchoice>
 </term>
 <listitem>
-<para>Display the the familiar &kde; Toolbar Configuration Dialog.</para>
+<para>Display the the &kde; Toolbar Configuration Dialog.</para>
 </listitem>
 </varlistentry>
 
@@ -664,7 +670,7 @@
 </menuchoice>
 </term>
 <listitem>
-<para>Launch the main configuration dialog.</para>
+<para>Launch the main &kget; configuration dialog.</para>
 </listitem>
 </varlistentry>
 </variablelist>
@@ -705,6 +711,9 @@
 Documentation Copyright &copy; 2003 &Jonathan.Drews; &Jonathan.Drews.mail;
 </para>
 
+<para>Documentation Copyright &copy; 2007 Rohan B. Dhruva <email>rohandhruva@gmail.com</email></para>
+
+
 <!-- TRANS:CREDIT_FOR_TRANSLATORS -->
 
 &underFDL;               <!-- FDL: do not remove -->
Comment 11 Urs Wolfer 2007-03-18 14:09:25 UTC
On Sunday 18 March 2007, Philip Rodrigues wrote: 
> SVN commit 643794 by philrod:
>
> Updated documentation and screenshots from Rohan Dhruva. Thanks!
>
> BUG:97374


Unfortunately, these update will never be visible for the user... KDE 4 KGet 
will have a completely new userinterface, thus also a new user doc. See 
http://commit-digest.org/issues/2007-02-25/

You need to commit these changes to the 3.5 branch if possible.

Bye
urs
Comment 12 Francis Giannaros 2007-03-19 13:42:47 UTC
Yeah, but I think for the moment we're committing against kde 4 for all docs and then backporting if we get an unfreeze for a 3.5.x stable. Awesome stuff on kget though :P

apokryphos